import { SegmentParseFunc } from './index';
/**
 * Parse a dynamodb segement. DynamoDB segment will look like this:
 *
 * {
                        "id": "491547679650c254",
                        "name": "DynamoDB",
                        "start_time": 1515258497.911,
                        "end_time": 1515258501.692,
                        "http": {
                            "response": {
                                "status": 200
                            }
                        },
                        "aws": {
                            "operation": "PutItem",
                            "region": "us-east-1",
                            "request_id": "E6QO2IJHL85I63K7N7KIQPP1UFVV4KQNSO5AEMVJF66Q9ASUAAJG",
                            "retries": 0,
                            "table_name": "gen-docs",
                            "consumed_capacity": {
                                "TableName": "gen-docs",
                                "CapacityUnits": 1
                            },
                            "resource_names": [
                                "gen-docs"
                            ]
                        },
                        "namespace": "aws"
          }
 * @param segmentDoc
 * @param actionsMap
 */
declare const parseSegment: SegmentParseFunc;
export default parseSegment;
