import { SegmentParseFunc } from './index';
/**
 * Parse a lambda segement.Lambda segment will look like this:
 *
 * {
            "id": "ea2c2b1898983569",
            "name": "SQS",
            "start_time": 1516557606.766,
            "end_time": 1516557607.125,
            "http": {
                    "response": {
                            "status": 200
                    }
            },
            "aws": {
                    "operation": "SendMessage",
                    "region": "us-east-1",
                    "request_id": "244505fc-9f04-5941-b0aa-572248636472",
                    "retries": 0,
                    "queue_url": "https://sqs.us-east-1.amazonaws.com/1111111111/test-msg-queue",
                    "message_id": "f28fc0d3-6e29-4ffc-b044-8e72b76bacb7",
                    "resource_names": [
                            "https://sqs.us-east-1.amazonaws.com/1111111111111/test-msg-queue"
                    ]
            },
            "namespace": "aws"
    }

    Another example:

    {
            "id": "83369696b54caa33",
            "name": "SQS",
            "start_time": 1516557606.423,
            "end_time": 1516557606.765,
            "http": {
                    "response": {
                            "status": 200
                    }
            },
            "aws": {
                    "operation": "GetQueueUrl",
                    "region": "us-east-1",
                    "request_id": "e959a673-10ee-5ad8-8836-f4adc788223e",
                    "retries": 0,
                    "queue_name": "test-msg-queue",
                    "queue_url": "https://sqs.us-east-1.amazonaws.com/11111111111/test-msg-queue"
            },
            "namespace": "aws"
    }

 * @param segmentDoc
 * @param actionsMap
 */
declare const parseSegment: SegmentParseFunc;
export default parseSegment;
