"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
}
Object.defineProperty(exports, "__esModule", { value: true });
const winston = __importStar(require("winston"));
const transports = [];
const consoleTransport = new (winston.transports.Console)({
    name: 'console-log',
    level: 'error',
    timestamp: true,
    colorize: true,
    prettyPrint: true,
});
transports.push(consoleTransport);
if (!process.env.AWS_LAMBDA_FUNCTION_NAME) {
    transports.push(new winston.transports.File({
        name: 'file-log',
        filename: 'xray-scan.log',
        level: 'debug',
        timestamp: true,
        json: false,
        prettyPrint: true,
        maxsize: 1024 * 1024 * 100,
        maxFiles: 10,
        tailable: true,
    }));
}
winston.configure({
    level: 'error',
    transports,
});
exports.logger = winston;
function changeConsoleLevel(level) {
    consoleTransport.level = level;
}
exports.changeConsoleLevel = changeConsoleLevel;
//# sourceMappingURL=logger.js.map